Index: common/newsletter_template.php
===================================================================
--- common/newsletter_template.php	(revision 1189)
+++ common/newsletter_template.php	(working copy)
@@ -27,7 +27,7 @@ log_assert(isset($user_is_anonymous));
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <?php if ($in_browser) { ?>
     <script type="text/javascript" src="<?= html_escape(url_static('js/config.js.php')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/MochiKit.js')) ?>"></script>
+    <script type="text/javascript" src="<?= html_escape(url_static('js/jquery-dev.js')) ?>"></script>
     <script type="text/javascript" src="<?= html_escape(url_static('js/newsletter.js')) ?>"></script>
   <?php } ?>
 </head>
Index: www/static/js/default.js
===================================================================
--- www/static/js/default.js	(revision 1189)
+++ www/static/js/default.js	(working copy)
@@ -5,29 +5,27 @@
 
 function Page_Init() {
     // fade away flash message
-    var flash = $('flash');
-    if (flash && !hasElementClass(flash, 'flashError')) {
+    var flash = $('#flash');
+    if (flash.length && !flash.hasClass('flashError')) {
         var callback = function() {
-            hideElement(flash);
+            flash.hide();
         }
         setTimeout(callback, 13000);
     }
 
     // page log (used in development mode)
-    var log = $('log');
-    if (log) {
+    var log = $('#log');
+    if (log.length) {
         // scroll down
-        log.scrollTop = log.scrollHeight;
+        log.scrollTop(log.prop('scrollHeight') - log.height());
 
         // maximize on click
         var callback = function(event) {
-            log.style.height = log.scrollHeight+'px';
-            log.onclick = null;
-            log.id = 'log_active';
+            log.height(log.prop('scrollHeight'));
+            log.prop('id', 'log_active');
         }
-        connect(log, 'onclick', callback);
+        log.one('click', callback);
     }
 }
 
-connect(window, 'onload', Page_Init);
-
+$(document).one('ready', Page_Init);
Index: www/static/js/monitor.js
===================================================================
--- www/static/js/monitor.js	(revision 1189)
+++ www/static/js/monitor.js	(working copy)
@@ -3,26 +3,18 @@ var Monitor_Timeout = 5000; // 5 seconds
 var Monitor_AutoRefresh = true; // enabled by default
 
 function Monitor_Init() {
-    $('autorefresh').checked = Monitor_AutoRefresh;
+    $('#autorefresh').prop('checked', Monitor_AutoRefresh);
 
     Monitor_ToggleRefresh(Monitor_AutoRefresh);
 }
 
 function Monitor_Refresh(){
-    var d = doSimpleXMLHttpRequest(Monitor_Url);
-    var success = function(meta) {
-        if (!Monitor_AutoRefresh) {
-            return;
-        }
-        $("monitor-table").innerHTML = meta.responseText;
-        setTimeout(Monitor_Refresh, Monitor_Timeout);
-    };
-    var fail = function(err) {
-        if (Monitor_AutoRefresh) {
-            setTimeout(Monitor_Refresh, Monitor_Timeout);
-        }
-    };
-    d.addCallbacks(success, fail);
+    $("#monitor-table").load(Monitor_Url, {},
+        function(responseText, statusText, req) {
+            if (Monitor_AutoRefresh) {
+                setTimeout(Monitor_Refresh, Monitor_Timeout);
+            }
+        });
 }
 
 function Monitor_ToggleRefresh(selected) {
@@ -32,5 +24,4 @@ function Monitor_ToggleRefresh(selected) {
     }
 }
 
-connect(window, 'onload', Monitor_Init);
-
+$(document).one("ready", Monitor_Init);
Index: www/static/js/newsletter.js
===================================================================
--- www/static/js/newsletter.js	(revision 1189)
+++ www/static/js/newsletter.js	(working copy)
@@ -25,8 +25,7 @@ function Newsletter_Init() {
 // Hijack all anchor clicks to Newsletter_LinkClick.
 // This only applies inside the iframe.
 function Newsletter_HijackLinks() {
-    map(function(anchor) { anchor.onclick=Newsletter_LinkClick; },
-        MochiKit.DOM.getElementsByTagAndClassName('a'));
+    $('a').on('click', Newsletter_LinkClick);
 }
 
 // Click handler for links inside the iframe.
@@ -39,4 +38,4 @@ function Newsletter_LinkClick(event) {
     return false;
 }
 
-connect(window, 'onload', Newsletter_Init);
+$(window).one("load", Newsletter_Init);
Index: www/static/js/parameditor.js
===================================================================
--- www/static/js/parameditor.js	(revision 1189)
+++ www/static/js/parameditor.js	(working copy)
@@ -7,42 +7,22 @@
 
 // Initialize paramter editor
 function ParamEditor_Init() {
-    connect($('form_type'), 'onchange', ParamEditor_TypeChange);
+    $('#form_type').on("change", ParamEditor_TypeChange);
     ParamEditor_TypeChange();
 }
 
 // Called when form_type is changed.
 function ParamEditor_TypeChange() {
-    cval = $('form_type').value;
-    ParamEditor_Switch(cval);
+    ParamEditor_Switch($('#form_type').val());
 }
 
 // Horrible horrible hack.
 // Whatever, I don't care about JavaScript
 function ParamEditor_Switch(new_type) {
-    tables = document.getElementsByTagName('table');
-    for (i = 0; i < tables.length; ++i) {
-        table = tables[i];
-        if (table.className == 'parameters') {
-            if ("params_" + new_type == table.id) {
-                table.style.display = 'block';
-            } else {
-                table.style.display = 'none';
-            }
-        }
-    }
-    lists = document.getElementsByTagName('ul');
-    for (i = 0; i < lists.length; ++i) {
-        list = lists[i];
-        if (list.className == 'form parameters') {
-            if ("params_" + new_type == list.id) {
-                list.style.display = 'block';
-            } else {
-                list.style.display = 'none';
-            }
-        }
-    }
-}
+    $('table.parameters').hide();
+    $('ul.form.parameters').hide();
 
-connect(window, 'onload', ParamEditor_Init);
+    $('#params_' + new_type).css('display', 'block');
+}
 
+$(document).one("ready", ParamEditor_Init);
Index: www/static/js/remotebox.js
===================================================================
--- www/static/js/remotebox.js	(revision 1189)
+++ www/static/js/remotebox.js	(working copy)
@@ -5,30 +5,26 @@
 
 var RemoteBox_Url = '';
 
-function RemoteBox_Load(remotebox_function) {
-    var container = $('remotebox');
-    if (!container || !RemoteBox_Url) {
+function RemoteBox_Load(remotebox_function ) {
+    var container = $('#remotebox');
+
+    if (container.length == 0 || !RemoteBox_Url) {
         // no remotebox in this page
         return;
     }
 
     // visual clue to indicate that remotebox is loading
-    container.innerHTML = '<div class="loading"> <img src="/static/images/indicator.gif" />Se incarca ...</div>';
-
-    var d = doSimpleXMLHttpRequest(RemoteBox_Url);
-
-    var ready = function(data) {
-        if (data) {
-            container.innerHTML = data.responseText;
-        }
-    }
-
-    var error = function(error) {
-        container.innerHTML = '<div class="macro_error">Continutul nu a putut fi descarcat. Incercati din nou.</div>';
-    }
-
-    d.addCallbacks(ready, error);
-    d.addCallbacks(remotebox_function, null);
+    container.html('<div class="loading"> <img src="/static/images/indicator.gif" />Se incarca ...</div>');
+
+    container.load(RemoteBox_Url, {},
+        function(responseText, textStatus, req) {
+            if (textStatus == 'error') {
+                 container.html('<div class="macro_error">Continutul nu a putut fi descarcat. Incercati din nou.</div>');
+            }
+            if (typeof remotebox_function === 'function') {
+                remotebox_function();
+            }
+        });
 }
 
 function RemoteBox_Comments(begin_comm, max_comm, focus_on_comments, display) {
@@ -50,5 +46,4 @@ function RemoteBox_Comments(begin_comm, max_comm, focus_on_comments, display) {
     RemoteBox_Url = RemoteBox_Base_Url;
 }
 
-connect(window, 'onload', RemoteBox_Load);
-
+$(document).one('ready', RemoteBox_Load);
Index: www/static/js/roundedit.js
===================================================================
--- www/static/js/roundedit.js	(revision 1189)
+++ www/static/js/roundedit.js	(working copy)
@@ -7,5 +7,4 @@ function RoundEdit_Init() {
     DlbInit('form_tasks');
 }
 
-connect(window, 'onload', RoundEdit_Init);
-
+$(window).one("load", RoundEdit_Init);
Index: www/static/js/roundtimer.js
===================================================================
--- www/static/js/roundtimer.js	(revision 1189)
+++ www/static/js/roundtimer.js	(working copy)
@@ -93,7 +93,7 @@ function relativeTime(timerId) {
 }
 
 function updateTime(timerId) {
-    $(timerId).innerHTML = relativeTime(timerId);
+    $("#" + timerId).html(relativeTime(timerId));
 }
 
 function newRoundTimer(timerId, serverTime, startTime,
Index: www/static/js/submit.js
===================================================================
--- www/static/js/submit.js	(revision 1189)
+++ www/static/js/submit.js	(working copy)
@@ -6,45 +6,46 @@
 var Submit_CompilerDisplay;
 
 function Submit_HasCompiler(taskId) {
-    var o = $('output_only');
-    return taskId && (!o ||  (0 > o.value.indexOf(':' + taskId + ':')));
+    var o = $('#output_only');
+    return taskId && (o.length == 0);
 }
 
 function Submit_AutoCompiler() {
-    var f = $('form_solution');
-    var compiler = $('form_compiler');
+    var f = $('#form_solution');
+    var compiler = $('#form_compiler');
 
     // we simply map file extensions to hard-coded compiler IDs
     var k = -1;
-    for (var i = f.value.length - 1; 0 <= i; i--) {
-        if ('.' == f.value.charAt(i)) {
+    for (var i = f.val().length - 1; 0 <= i; i--) {
+        if ('.' == f.val().charAt(i)) {
             k = i;
             break;
         }
     }
-    var ext = f.value.substring(k + 1).toLowerCase();
+    var ext = f.val().substring(k + 1).toLowerCase();
+
     if ('c' == ext || 'cc' == ext || 'cpp' == ext || 'pas' == ext || 'py' == ext) {
         if ('pas' == ext) {
             // choose FreePascal compiler
-            compiler.value = 'fpc';
+            compiler.val('fpc');
         }
         else if ('cc' == ext) {
             // choose GNU C++ compiler
-            compiler.value = 'cpp';
+            compiler.val('cpp');
         }
         else {
-            compiler.value = ext;
+            compiler.val(ext);
         }
     }
     else {
         alert('Atentie! Pentru fisierul selectat nu am putut alege automat ' +
             'un compilator.');
-        compiler.value = '-';
+        compiler.val('-');
     }
 }
 
 function Submit_UpdateSolution() {
-    if (!Submit_HasCompiler($('form_task').value)) {
+    if (!Submit_HasCompiler($('#form_task').val())) {
         return;
     }
 
@@ -53,81 +54,86 @@ function Submit_UpdateSolution() {
 }
 
 function Submit_UpdateTask() {
-    var t = $('form_task');
+    var t = $('#form_task');
 
     // toggle displaying compiler select box
-    if (Submit_HasCompiler(t.value)) {
-        $('field_compiler').style.display = Submit_CompilerDisplay;
+    if (Submit_HasCompiler(t.val())) {
+        $('#field_compiler').css('display', Submit_CompilerDisplay);
     } else {
-        $('field_compiler').style.display = 'none';
+        $('#field_compiler').css('display', 'none');
     }
 
-    if (t.value) {
-        $('field_round').style.display = Submit_RoundDisplay;
-        var d = doXHR(BASE_HREF + 'json/task-get-rounds?task_id=' + escape(t.value), {method: 'POST'});
-
-        var ready = function(xhr) {
-            var data = evalJSONRequest(xhr);
-            var rounds = data["rounds"];
-            var default_round = data["default"];
-
-            $('form_round').innerHTML = '';
-            warning_container = $('field_round_warning');
-            if (warning_container) {
-                if (rounds.length != 1) {
-                    warning_container.innerHTML = '<p class="submit-warning">Această problemă face parte din mai multe concursuri. Selectează-l pe cel la care participi!</p>';
-                } else {
-                    warning_container.innerHTML = '';
+    if (t.val()) {
+        $('#field_round').css('display', Submit_RoundDisplay);
+
+        $.ajax({
+            url:BASE_HREF + 'json/task-get-rounds?task_id=' + escape(t.val()),
+            dataType: 'json', type: 'POST', success:
+            function(response, postStatus, xhr) {
+                if (postStatus == 'error') {
+                    alert('Eroare! Nu pot determina rundele. Incercati din nou.');
+                    return;
                 }
-            }
-            for (var key in rounds) {
-                if (rounds.hasOwnProperty(key)) {
-                    var option = document.createElement('option');
-                    option.value = rounds[key]["id"];
-                    if (rounds[key]["id"] == default_round) {
-                        option.selected = 'selected';
+                var data = response;//$.parseJSON(response);
+                var rounds = data["rounds"];
+                var default_round = data["default"];
+
+                $('#form_round').html('');
+                warning_container = $('#field_round_warning');
+                if (warning_container.length > 0) {
+                    if (rounds.length != 1) {
+                        warning_container.html(
+                            '<p class="submit-warning">Această problemă face p'
+                          + 'arte din mai multe concursuri. Selectează-l pe ce'
+                          + 'l la care participi!</p>');
+                    } else {
+                        warning_container.html('');
                     }
+                }
+
+                for (var key in rounds) {
+                    if (rounds.hasOwnProperty(key)) {
+                        var option = document.createElement('option');
+                        option.value = rounds[key]["id"];
+                        if (rounds[key]["id"] == default_round) {
+                            option.selected = 'selected';
+                        }
                     var text = document.createTextNode(rounds[key]["title"]);
                     option.appendChild(text);
-                    $('form_round').appendChild(option);
+                    $('#form_round').append(option);
                 }
             }
-        };
-
-        var error = function(error) {
-            window.alert('Eroare! Nu pot determina rundele. Incercati din nou.');
-        };
-
-        d.addCallbacks(ready, error);
+        }});
     } else {
-        $('field_round').style.display = 'none';
+        $('#field_round').hide();
     }
 
     // auto-choose compiler
-    if (0 < $('form_solution').value.length) {
+    if ($('#form_solution').val()) {
         Submit_AutoCompiler();
     }
 }
 
 function Submit_Init() {
-    if (!$('task_submit')) {
+    if ($('#task_submit').length == 0) {
         // no such form on this page
         return;
     }
 
-    var fSolution = $('form_solution');
-    var fTask = $('form_task');
+    var fSolution = $('#form_solution');
+    var fTask = $('#form_task');
 
-    Submit_CompilerDisplay = $('field_compiler').style.display;
-    Submit_RoundDisplay = $('field_round').style.display;
+    Submit_CompilerDisplay = $('#field_compiler').css('display');
+    Submit_RoundDisplay = $('#field_round').css('display');
+
+    fSolution.on("change", Submit_UpdateSolution);
 
-    connect(fSolution, 'onchange', Submit_UpdateSolution);
     if ('hidden' != fTask.type) {
-        connect(fTask, 'onchange', Submit_UpdateTask);
+        fTask.on("change", Submit_UpdateTask);
     }
 
     Submit_UpdateTask();
 }
 
-connect(window, 'onload', Submit_Init);
-
+$(document).one('ready', Submit_Init);
+//connect(window, 'onload', Submit_Init);
Index: www/static/js/tags.js
===================================================================
--- www/static/js/tags.js	(revision 1189)
+++ www/static/js/tags.js	(working copy)
@@ -1,5 +1,5 @@
 function show_tag_list(parent_tag_id) {
-    var tag_lists = $$(".tag_list");
+    var tag_lists = $(".tag_list");
     var i = 0;
 
     document.getElementById('tag_list_' + parent_tag_id).style.display = "inline";
@@ -7,11 +7,7 @@ function show_tag_list(parent_tag_id) {
 }
 
 function show_tags() {
-    var show_tag_anchors = $$(".tags_list_item");
+    $(".tags_list_item").css('display', 'list-item');
 
-    for (i = 0; i < show_tag_anchors.length; i++) {
-        show_tag_anchors[i].style.display = "list-item";
-    }
-
-    document.getElementById('show_tags').style.display = "none";
+    $('#show_tags').hide();
 }
Index: www/static/js/wikiedit.js
===================================================================
--- www/static/js/wikiedit.js	(revision 1189)
+++ www/static/js/wikiedit.js	(working copy)
@@ -7,56 +7,49 @@ var WikiEdit_Saved = false;
 
 function WikiEdit_Init() {
     // wiki preview
-    var b1 = $('form_preview');
-    var b2 = $('preview_close');
-    var felem = $('form_wikiedit');
-    var fc = $('form_text');
-    connect(b1, 'onclick', WikiEdit_Preview);
-    connect(b2, 'onclick', WikiEdit_ClosePreview);
-    connect(felem, 'onsubmit', WikiEdit_ObserveSave);
-    connect(fc, 'onkeypress', WikiEdit_ObserveChange);
-    window.onbeforeunload = WikiEdit_Leave;
+    $('#form_preview').on('click', WikiEdit_Preview);
+    $('#preview_close').on('click', WikiEdit_ClosePreview);
+    $('#form_wikiedit').on('submit', WikiEdit_ObserveSave);
+    $('#form_text').one('keypress', WikiEdit_ObserveChange);
+    $(window).on("beforeunload", WikiEdit_Leave);
 
     WikiEdit_Saved = true;
 }
 
 function WikiEdit_Preview() {
-    var container = $('wiki_preview');
-    var toolbar = $('wiki_preview_toolbar');
-    var content = $('form_text');
-    var page_name = $('form_page_name');
-    if (!container || !content) return;
+    var container = $('#wiki_preview');
+    var toolbar = $('#wiki_preview_toolbar');
+    var content = $('#form_text');
+    var page_name = $('#form_page_name');
+    if (container.length == 0 || content.length == 0) return;
 
     // visual clue to indicate that preview is loading
-    container.innerHTML = '<div class="loading"> <img src="' + BASE_HREF + 'static/images/indicator.gif" />Se incarca ...</div>';
-    container.style.display = '';
+    container.html('<div class="loading"> <img src="'
+        + BASE_HREF + 'static/images/indicator.gif" />Se incarca ...</div>');
+    container.show();
 
     // request preview
-    var d = doXHR(BASE_HREF + 'json/wiki-preview?page_name=' + escape(page_name.value), {method: 'POST', sendContent: content.value});
-
-    var ready = function(xhr) {
-        var data = evalJSONRequest(xhr);
-        container.innerHTML = data['html'];
-        container.style.display = '';
-        toolbar.style.display = '';
-    }
-
-    var error = function(error) {
-        window.alert('Eroare! Nu pot face preview. Incercati din nou.');
-        WikiEdit_ClosePreview();
-    }
-
-    d.addCallbacks(ready, error);
+    $.ajax({url:BASE_HREF + 'json/wiki-preview?page_name=' + escape(page_name.val()), type:'POST', dataType: 'json', data: content.val(), success:
+        function(data, textStatus, req) {
+            if (textStatus == 'error') {
+                alert('Eroare! Nu pot face preview. Incercati din nou');
+                WikiEdit_ClosePreview();
+                return;
+            }
+            container.html(data['html']);
+            container.show();
+            toolbar.show();
+        }});
 }
 
 function WikiEdit_ClosePreview() {
-    var container = $('wiki_preview');
-    var toolbar = $('wiki_preview_toolbar');
+    var container = $('#wiki_preview');
+    var toolbar = $('#wiki_preview_toolbar');
 
-    if (!container || !toolbar) return;
+    if (container.length == 0 || toolbar.length == 0) return;
 
-    container.style.display = 'none';
-    toolbar.style.display = 'none';
+    container.hide();
+    toolbar.hide();
 }
 
 function WikiEdit_Leave(event) {
@@ -80,10 +73,7 @@ function WikiEdit_ObserveSave() {
 
 function WikiEdit_ObserveChange() {
     WikiEdit_Saved = false;
-
-    var fc = $('form_text');
-    fc.onkeypress = null;
 }
 
-connect(window, 'onload', WikiEdit_Init);
+$(document).one("ready", WikiEdit_Init);
 
Index: www/views/header.php
===================================================================
--- www/views/header.php	(revision 1189)
+++ www/views/header.php	(working copy)
@@ -61,7 +61,7 @@ header("Content-type: text/html; charset=utf-8");
     <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/print.css')) ?>" media="print" />
     <link rel="icon" href="<?= IA_URL."favicon.ico" ?>" type="image/vnd.microsoft.icon" />
     <script type="text/javascript" src="<?= html_escape(url_static('js/config.js.php')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/MochiKit.js')) ?>"></script>
+    <script type="text/javascript" src="<?= html_escape(url_static('js/jquery-dev.js')) ?>"></script>
     <script type="text/javascript" src="<?= html_escape(url_static('js/default.js')) ?>"></script>
     <script type="text/javascript" src="<?= html_escape(url_static('js/tabber-minimized.js')) ?>"></script>
     <script type="text/javascript" src="<?= html_escape(url_static('js/submit.js')) ?>"></script>
